<?php

class ST_ProQyz_Post_Types {
    /**
	 * ProQyz_Post_Types version.
	 *
	 * @var string
	 */
    public $version = '1.0.0';
    protected static $_instance = null;

    /**
	 * Main ProQyz Instance.
	 *
	 * Ensures only one instance of ProQyz_Post_Types is loaded or can be loaded.
	 *
	 * @since 1.0
	 * @static
	 * @see PROQYZ_POST_TYPES()
	 * @return ProQyz_Post_Types - Main instance.
	 */
    public static function instance() {
        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }

    public function __construct() {
        $this->includes();
    }

    public function includes(){
        include_once 'class-st-proqyz-post-course.php';
        include_once 'class-st-proqyz-post-quiz.php';
        include_once 'class-st-proqyz-post-signup.php';
        include_once 'class-st-proqyz-post-email.php';
        include_once 'class-st-propqyz-admin-post-result-message.php';

    }

}

return ST_ProQyz_Post_Types::instance();
